unit MyGroupButton;

interface

uses
  System.SysUtils, System.Classes, Vcl.Controls, Vcl.ExtCtrls, Vcl.StdCtrls, Vcl.Graphics;

type
  tMyCaption = class
  
  end;

  tMyPicture=class(TPersistent)
  private
    fPicture: TImage;
    fOwner: TPersistent;
  public
    function GetOwner: TPersistent; override;
  published
    property Picture: TImage read fPicture write fPicture;  
  end;

  tMyGroupButton = class(TPanel)
  private
    fCaption: TMyCaption;
    fPicture: tMyPicture;
    fPicture1: TImage;
    { Private declarations }
  protected
    { Protected declarations }
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    procedure Assign(aSour: TPersistent); override;
  published
    { Published declarations }
    property Picture: tMyPicture read fPicture write fPicture;
    property Pictur1: TImage read fPicture1 write fPicture1;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('MyControls', [tMyGroupButton]);
end;     

{ tMyGroupButton }

procedure tMyGroupButton.Assign(aSour: TPersistent);
begin
  inherited;
  if aSour is tMyPicture then begin
     //fPicture.fPicture.Picture := tMyPicture(aSour).fPicture.Picture;
  end else inherited;
end;

constructor tMyGroupButton.Create(AOwner: TComponent);
begin
  fCaption := tMyCaption.Create;
  fPicture := tMyPicture.Create;
  fPicture.fOwner := self;
  //fPicture.fPicture.Parent := self;
  fPicture.fPicture := TImage.Create(self);
  fPicture.fPicture.Parent := self;
  fPicture.fPicture.Left := 0;
  fPicture.fPicture.Top := 0;
  fPicture.fPicture.Width := 24;
  fPicture.fPicture.Height := 24;
  fPicture.fPicture.Transparent := true;
  fPicture.fPicture.AutoSize := true;
  fPicture.fPicture.Visible := true;
  //fPicture.fPicture.BringToFront;

  fPicture1 := TImage.Create(self);
  fPicture1.Parent := self;
  fPicture1.Left := 20;
  fPicture1.Top := 0;
  fPicture1.Height := 24;
  fPicture1.Width := 24;
  fPicture1.Transparent := true;
  fPicture1.AutoSize := true;
  fPicture1.Visible := true;
  fPicture1.BringToFront;
  inherited;
end;                             

destructor tMyGroupButton.Destroy;
begin
  fPicture.Free;
  fPicture1.Free;
  fCaption.Free;
  inherited;
end;

{ tMyPicture }

{ tMyPicture }


function tMyPicture.GetOwner: TPersistent;
begin
   result := fOwner;
end;

end.
